﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SpectrumProDemo
{
    public partial class LogViewForm : Form
    {
        public LogViewForm()
        {
            InitializeComponent();
            this.ControlBox = false;
        }
        delegate void SetTextCallback(string text);
        public void SetOutputText(string text)
        {
            // InvokeRequired required compares the thread ID of the
            // calling thread to the thread ID of the creating thread.
            // If these threads are different, it returns true.
            if (tbOutput.IsHandleCreated == false)
                return;
            if (tbOutput.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(SetOutputText);
                Invoke(d, new object[] { text });
            }
            else
            {
                tbOutput.AppendText(text + "\r\n");
            }
        }
        public void SetOutputTextLog(string text)
        {
            // InvokeRequired required compares the thread ID of the
            // calling thread to the thread ID of the creating thread.
            // If these threads are different, it returns true.
            if (logOutput.InvokeRequired)
            {
                SetTextCallback d = new SetTextCallback(SetOutputTextLog);
                Invoke(d, new object[] { text });
            }
            else
            {
                logOutput.AppendText(text + "\r\n");
            }
        }
        private void btnHideForm_Click(object sender, EventArgs e)
        {
            this.Hide();
        }
        private void btnClearLog_Click(object sender, EventArgs e)
        {
            tbOutput.Text = "";
            logOutput.Text = "";
        }
    }
}
